Bug 487228 - minor permission/ownership issue in spec file
minor permission/ownership issue in spec file
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gdm (Show other bugs)
14
All Linux
low Severity medium
: ---
: ---
Assigned To: Ray Strode [halfline]
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 225785
  Show dependency treegraph
 
Reported: 2009-02-24 16:40 EST by Christian Krause
Modified: 2013-02-12 16:09 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-16 16:06:19 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
patch against gdm.spec to fix the issue (1017 bytes, patch)
2009-02-24 16:40 EST, Christian Krause
no flags Details | Diff

  None (edit)
Description Christian Krause 2009-02-24 16:40:02 EST
Created attachment 333092 [details]
patch against gdm.spec to fix the issue

Description of problem:
"rpm -V gdm" complains about changed mode and group ownership of two directories
:
.M....G.    /var/log/gdm
.M......    /var/run/gdm


Version-Release number of selected component (if applicable):
gdm-2.24.0-12.fc10.i386

How reproducible:
100%

Steps to Reproduce:
1. rpm -V gdm

Additional info:
Gdm sets the mode/owner explicitly if they are not correct:

/var/log/gdm: in daemon/main.c: S_IRWXU|S_IRWXG|S_ISVTX = 1770
/var/run/gdm: in daemon/gdm-display-access-file.c:  S_ISVTX | S_IRWXU | S_IRWXG | S_IROTH | S_IXOTH = 1775

The ownership is set to root/gdm in both cases.

The attached patch just fixes this minor problem. I've created and tested it on F10, but it applies also with an "offset of -2 lines" to rawhide's gdm.spec.
Comment 1 Christian Krause 2009-07-12 14:51:00 EDT
*ping*

Any news regarding this issue? Sure, it is only a minor problem, but in order to gain the best possible quality in Fedora it would be nice if it could be fixed. ;-) Most likely this problem is in rawhide, F11 and F10.

If there is anything I can do, please let me know.

Thanks!
Comment 2 Bug Zapper 2009-11-18 06:13:34 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Christian Krause 2009-11-18 11:23:42 EST
Problem is still at least in F12 and F11:

F12:
rpm -V gdm
.M....G..    /var/log/gdm
.M.......    /var/run/gdm
missing     /var/run/gdm/greeter


F11:
rpm -V gdm
.M....G..    /var/log/gdm
.M.......    /var/run/gdm

I'm unsure about rawhide.
Comment 4 Stefan Jensen 2010-07-17 16:18:36 EDT
Still present in F13:

$sudo LANG=C rpm -V gdm

.M....G..    /var/log/gdm
.M.......    /var/run/gdm
missing     /var/run/gdm/greeter
Comment 5 Bug Zapper 2010-11-04 07:29:15 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Christian Krause 2010-11-04 17:33:42 EDT
Still present in F13 and F14.
Comment 7 Fedora Admin XMLRPC Client 2011-06-21 11:33:14 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 8 Fedora Admin XMLRPC Client 2011-06-21 11:36:20 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 9 Fedora Admin XMLRPC Client 2011-06-21 11:37:40 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 10 Fedora Admin XMLRPC Client 2011-06-21 11:40:57 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 11 Fedora Admin XMLRPC Client 2011-06-21 11:50:28 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 12 Fedora Admin XMLRPC Client 2011-06-21 11:53:02 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 13 Fedora Admin XMLRPC Client 2011-06-21 11:55:30 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 14 Fedora Admin XMLRPC Client 2011-06-21 11:56:43 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 15 Peter Backes 2012-05-30 20:14:01 EDT
Still in F17 gdm-3.4.1-1.fc17.i686

Note: /var/run is now a symlink to /run, which is mounted as tmpfs by systemd. rpms shouldn't reference files there; neither /var/run/gdm nor /var/run/gdm/greeter should be included in the rpm.

These bugs could be fixed easily in 5 minutes.
Comment 16 Fedora End Of Life 2012-08-16 16:06:22 EDT
This message is a notice that Fedora 14 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 14. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained.  At this time, all open bugs with a Fedora 'version'
of '14' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this 
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen 
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we were unable to fix it before Fedora 14 reached end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" (top right of this page) and open it against that 
version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 17 Michael Shigorin 2013-02-12 16:09:24 EST
(In reply to comment #15)
> These bugs could be fixed easily in 5 minutes.
Nobody cares, and upstream wasn't even keen to support privsep (one needs high enough privileges to get through /var/run/gdm/ for e.g. xauth cookie).

Note You need to log in before you can comment on or make changes to this bug.